Spigot mcMMOAction 2.3.2

Instead that mcMMO messages spam the regular chat, you'll see them above the itembar.

  1. Awsome. Perhaps the command could be "/mmoaction" which is the toggle command? I'm not sure. Do you have any better ideas for the command name? :)
     
  2. Ok added. You can use /mcmmoaction or /mmoaction.
     
    • Like Like x 1
  3. Hi,

    is it possible to add these types of the messages to the actionbar? Could you also include the Axes messages etc.?
    [​IMG]
     
  4. What messages do you mean with "include the Axes messages"?
     
  5. Like, you were critically hit.
     
  6. I think I already added this.

    Added to the default messages and I added a config property. There you can add additional messages.
     
    • Like Like x 1
  7. please update to 1.9.4
     
  8. It should already be compatible with 1.9.4
     
  9. [16:18:40 INFO]: [mcMMOAction] Enabling mcMMOAction v0.9
    [16:18:40 ERROR]: Error occurred while enabling mcMMOAction v0.9 (Is it up to date?)
    java.lang.NoClassDefFoundError: net/md_5/bungee/api/ChatColor
    at com.github.games647.mcmmoaction.mcMMOAction.getLocalizedMessage(mcMMOAction.java:168) ~[?:?]
    at com.github.games647.mcmmoaction.mcMMOAction.loadingByIdentifier(mcMMOAction.java:157) ~[?:?]
    at com.github.games647.mcmmoaction.mcMMOAction.loadAllMessages(mcMMOAction.java:84) ~[?:?]
    at com.github.games647.mcmmoaction.mcMMOAction.onEnable(mcMMOAction.java:51) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:292) ~[spigot.jar:git-Bukkit-042911f]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:332) [spigot.jar:git-Bukkit-042911f]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404) [spigot.jar:git-Bukkit-042911f]
    at org.bukkit.craftbukkit.v1_9_R2.CraftServer.loadPlugin(CraftServer.java:347) [spigot.jar:git-Bukkit-042911f]
    at org.bukkit.craftbukkit.v1_9_R2.CraftServer.enablePlugins(CraftServer.java:319) [spigot.jar:git-Bukkit-042911f]
    at net.minecraft.server.v1_9_R2.MinecraftServer.t(MinecraftServer.java:407) [spigot.jar:git-Bukkit-042911f]
    at net.minecraft.server.v1_9_R2.MinecraftServer.l(MinecraftServer.java:372) [spigot.jar:git-Bukkit-042911f]
    at net.minecraft.server.v1_9_R2.MinecraftServer.a(MinecraftServer.java:327) [spigot.jar:git-Bukkit-042911f]
    at net.minecraft.server.v1_9_R2.DedicatedServer.init(DedicatedServer.java:240) [spigot.jar:git-Bukkit-042911f]
    at net.minecraft.server.v1_9_R2.MinecraftServer.run(MinecraftServer.java:510) [spigot.jar:git-Bukkit-042911f]
    at java.lang.Thread.run(Thread.java:745) [?:1.8.0_91]
    Caused by: java.lang.ClassNotFoundException: net.md_5.bungee.api.ChatColor
    at java.net.URLClassLoader.findClass(URLClassLoader.java:381) ~[?:1.8.0_91]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[spigot.jar:git-Bukkit-042911f]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[spigot.jar:git-Bukkit-042911f]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_91]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_91]
    ... 15 more
     
  10. I tried it. It still works for me with 1.9.4 and 1.10. Do you modified your server jar version or could you try to rebuild your spigot version?
     
  11. Solved it! Thanks :D
     
  12. yes it's there: https://github.com/games647/mcMMOAction/blob/master/src/main/resources/plugin.yml#L18
    Thank you for noticing.

    It has one:
    https://github.com/games647/mcMMOAction/blob/master/src/main/resources/plugin.yml#L18

    mcmmoaction.command.toggle
     
  13. Thank you for your response! I'll put it to good use. :)
     
  14. Author,

    I'm not sure what is causing this error. I am running 1.10.2 and continually get this error when attempting to enable your plugin.
    EDIT: I ended up rebuilding the spigot.jar file as well and still get the same result.
     
    #59 DudeDubbedJoey, Aug 4, 2016
    Last edited: Aug 4, 2016
  15. Do you modified the plugin.yml or built the plugin from the source code?